---
document: modulemd
version: 2
data:
  name: javapackages-runtime
  stream: 201801
  version: 8000020190628020723
  context: 278695df
  summary: Basic runtime utilities to support Java applications
  description: >-
    This module contains basic filesystem layout and runtime utilities used to support
    system applications written in JVM languages.
  license:
    module:
    - MIT
  xmd:
    mbs:
      mse: TRUE
      buildrequires:
        platform:
          ref: virtual
          stream: el8.0.0
          context: 00000000
          version: 3
          koji_tag: module-centos-8.0.0-build
          stream_collision_modules: 
          ursine_rpms: 
          filtered_rpms: []
      scmurl: git+https://git.centos.org/modules/javapackages-runtime.git?#acb81a7796e46e210418049ffbcdc18a8f86f9e7
      commit: acb81a7796e46e210418049ffbcdc18a8f86f9e7
      rpms:
        javapackages-tools:
          ref: 7e149139d2c378297abd097718cc244c39088298
  dependencies:
  - buildrequires:
      platform: [el8.0.0]
    requires:
      platform: []
  profiles:
    common:
      rpms:
      - javapackages-filesystem
      - javapackages-tools
  api:
    rpms:
    - javapackages-filesystem
    - javapackages-tools
  filter:
    rpms:
    - ivy-local
    - javapackages-local
    - maven-local
    - python3-javapackages
  buildopts:
    rpms:
      macros: |
        %_without_asciidoc 1
        %_without_gradle 1
  components:
    rpms:
      javapackages-tools:
        rationale: 'Module API.

'
        repository: git+https://git.centos.org/rpms/javapackages-tools
        cache: https://git.centos.org/repo/pkgs/javapackages-tools
        ref: 7e149139d2c378297abd097718cc244c39088298
        arches: [aarch64, i686, ppc64le, x86_64]
...
